#!/bin/sh

# Search for .xml (xxxxxxxx.xml) file in "/home/user/apps/omweather/"
# and write it's name here below:

Name="UKXX0041.xml"

######## You shouldn't need to change anything below here ###############

prognoza="$(tail -316 /home/user/apps/omweather/$Name| head -n 1)"
sranje="$(echo $prognoza | cut -c 7-10)"
a="$(echo $sranje | cut -d "<" -f1)"
n="/home/user/MyDocs/.Weather/$a.png"
tempe="$(tail -319 /home/user/apps/omweather/$Name| head -n 1)"
b="$(echo $tempe | cut -c 6-20)"
c="$(echo $b | cut -d "<" -f1)"
flike="$(tail -318 /home/user/apps/omweather/$Name| head -n 1)"
d="$(echo $flike | cut -c 7-11)"
e="$(echo $d | cut -d "<" -f1)"
humid="$(tail -305 /home/user/apps/omweather/$Name| head -n 1)"
g="$(echo $humid | cut -c 7-11)"
h="$(echo $g | cut -d "<" -f1)"
uvvv="$(tail -301 /home/user/apps/omweather/$Name| head -n 1)"
i="$(echo $uvvv | cut -c 4-20)"
uv="$(echo $i | cut -d "<" -f1)"
press="$(tail -314 /home/user/apps/omweather/$Name| head -n 1)"
j="$(echo $press | cut -c 4-11)"
p="$(echo $j | cut -d "<" -f1)"
sunr="$(tail -326 /home/user/apps/omweather/$Name| head -n 1)"
l="$(echo $sunr | cut -c 7-20)"
r="$(echo $l | cut -d "<" -f1)"
suns="$(tail -325 /home/user/apps/omweather/$Name| head -n 1)"
m="$(echo $suns | cut -c 7-20)"
s="$(echo $m | cut -d "<" -f1)"
pc="$(tail -317 /home/user/apps/omweather/$Name| head -n 1)"
y="$(echo $pc | cut -c 4-25)"
x="$(echo $y | cut -d "<" -f1)"

# a je broj ikone
# c je temp
# e je feels like
# h je humidity
# uv je UV index
# p je press hPa
# r je sunrise
# s je sunset
# x je opis

cd /home/user/imagemagick/
Slika="lockslider.png"
check="$(cat check.txt)"
if [ "$check" != "$a $c $e $h" ]
then

convert $a.png \
-page +300+15 -background transparent -fill grey -pointsize 50 -strokewidth 1  -stroke grey  label:"" \
-page +580+325 -background transparent -fill white -font fonts/tahoma.ttf -pointsize 50 -strokewidth 1  -stroke black  label:"$c" \
-page +45+385 -background transparent -fill white -font fonts/tahoma.ttf -pointsize 40 -strokewidth 1  -stroke black  label:"$x" \
-page +580+410 -background transparent -fill grey -font fonts/tahoma.ttf -pointsize 20 -strokewidth 1  -stroke white  label:"Humidity: $h%" \
-page +580+435 -background transparent -fill grey -font fonts/tahoma.ttf -pointsize 20 -strokewidth 1  -stroke white  label:"Pressure: $p hPa" \
-page +580+385 -background transparent -fill grey -font fonts/tahoma.ttf -pointsize 20 -strokewidth 1  -stroke white  label:"Feels like: $e" \
-page +45+440 -background transparent -fill grey -font fonts/tahoma.ttf -pointsize 15 -strokewidth 1  -stroke white  label:"Sun Rise/Set: $r / $s" \
-flatten $Slika 

if [ "$c" -le "0" ]
then
composite -geometry +560+0 minus.png lockslider.png aaa.png
/bin/cp /home/user/imagemagick/aaa.png /etc/hildon/theme/backgrounds/lockslider.png
else 
/bin/cp /home/user/imagemagick/lockslider.png /etc/hildon/theme/backgrounds/lockslider.png
fi

echo "$a $c $e $h" > check.txt
else
exit 0
fi
